Index: uspace/srv/net/il/ip/ip.c
===================================================================
--- uspace/srv/net/il/ip/ip.c	(revision 4eca0560ec015aab6080f3c3fec0a783f2977837)
+++ uspace/srv/net/il/ip/ip.c	(revision a9c6b966d7358b2a28df7df4daa72fa52f1a9f35)
@@ -139,6 +139,6 @@
  * Searches the registered protocols.
  *
- * @returns		The found ICMP phone.
- * @returns		ENOENT if the ICMP is not registered.
+ * @return		The found ICMP phone.
+ * @return		ENOENT if the ICMP is not registered.
  */
 static int ip_get_icmp_phone(void)
@@ -160,13 +160,13 @@
  * @param[in] packet	The packet or the packet queue to be reported as faulty.
  * @param[in] header	The first packet IP header. May be NULL.
- * @returns		EOK on success.
- * @returns		EINVAL if there are no data in the packet.
- * @returns		EINVAL if the packet is a fragment.
- * @returns		ENOMEM if the packet is too short to contain the IP
+ * @return		EOK on success.
+ * @return		EINVAL if there are no data in the packet.
+ * @return		EINVAL if the packet is a fragment.
+ * @return		ENOMEM if the packet is too short to contain the IP
  *			header.
- * @returns		EAFNOSUPPORT if the address family is not supported.
- * @returns		EPERM if the protocol is not allowed to send ICMP
+ * @return		EAFNOSUPPORT if the address family is not supported.
+ * @return		EPERM if the protocol is not allowed to send ICMP
  *			notifications. The ICMP protocol itself.
- * @returns		Other error codes as defined for the packet_set_addr().
+ * @return		Other error codes as defined for the packet_set_addr().
  */
 static int ip_prepare_icmp(packet_t packet, ip_header_t *header)
@@ -227,8 +227,8 @@
  * @param[in] packet	The packet or the packet queue to be reported as faulty.
  * @param[in] header	The first packet IP header. May be NULL.
- * @returns		The found ICMP phone.
- * @returns		EINVAL if the error parameter is set.
- * @returns		EINVAL if the ICMP phone is not found.
- * @returns		EINVAL if the ip_prepare_icmp() fails.
+ * @return		The found ICMP phone.
+ * @return		EINVAL if the error parameter is set.
+ * @return		EINVAL if the ICMP phone is not found.
+ * @return		EINVAL if the ip_prepare_icmp() fails.
  */
 static int
@@ -248,6 +248,6 @@
  * @param[in] client_connection The client connection processing function. The
  *			module skeleton propagates its own one.
- * @returns		EOK on success.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EOK on success.
+ * @return		ENOMEM if there is not enough memory left.
  */
 int ip_initialize(async_client_conn_t client_connection)
@@ -293,17 +293,17 @@
  *
  * @param[in,out] ip_netif Network interface specific data.
- * @returns		EOK on success.
- * @returns		ENOTSUP if DHCP is configured.
- * @returns		ENOTSUP if IPv6 is configured.
- * @returns		EINVAL if any of the addresses is invalid.
- * @returns		EINVAL if the used ARP module is not known.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		Other error codes as defined for the
+ * @return		EOK on success.
+ * @return		ENOTSUP if DHCP is configured.
+ * @return		ENOTSUP if IPv6 is configured.
+ * @return		EINVAL if any of the addresses is invalid.
+ * @return		EINVAL if the used ARP module is not known.
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		Other error codes as defined for the
  *			net_get_device_conf_req() function.
- * @returns		Other error codes as defined for the bind_service()
+ * @return		Other error codes as defined for the bind_service()
  *			function.
- * @returns		Other error codes as defined for the specific
+ * @return		Other error codes as defined for the specific
  *			arp_device_req() function.
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the
  *			nil_packet_size_req() function.
  */
@@ -486,6 +486,6 @@
  * @param[in] device_id	The device identifier.
  * @param[in] mtu	The new mtu value.
- * @returns		EOK on success.
- * @returns		ENOENT if device is not found.
+ * @return		EOK on success.
+ * @return		ENOENT if device is not found.
  */
 static int ip_mtu_changed_message(device_id_t device_id, size_t mtu)
@@ -511,6 +511,6 @@
  * @param[in] device_id	The device identifier.
  * @param[in] state	The new state value.
- * @returns		EOK on success.
- * @returns		ENOENT if device is not found.
+ * @return		EOK on success.
+ * @return		ENOENT if device is not found.
  */
 static int ip_device_state_message(device_id_t device_id, device_state_t state)
@@ -539,6 +539,6 @@
  * @param[in] packet	The packet to be prefixed.
  * @param[in] last	The last header to be copied.
- * @returns		The prefixed middle header.
- * @returns		NULL on error.
+ * @return		The prefixed middle header.
+ * @return		NULL on error.
  */
 static ip_header_t *
@@ -613,10 +613,10 @@
  * @param[in,out] packet The packet to be sent.
  * @param[in] destination The destination hardware address.
- * @returns		EOK on success.
- * @returns		EINVAL if the packet is too small to contain the IP
+ * @return		EOK on success.
+ * @return		EINVAL if the packet is too small to contain the IP
  *			header.
- * @returns		EINVAL if the packet is too long than the IP allows.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		Other error codes as defined for the packet_set_addr()
+ * @return		EINVAL if the packet is too long than the IP allows.
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		Other error codes as defined for the packet_set_addr()
  *			function.
  */
@@ -746,9 +746,9 @@
  * @param[in] dest	The destiantion address.
  * @param[in] addrlen	The address length.
- * @returns		EOK on success.
- * @returns		ENOMEM if the target packet is too small.
- * @returns		Other error codes as defined for the packet_set_addr()
+ * @return		EOK on success.
+ * @return		ENOMEM if the target packet is too small.
+ * @return		Other error codes as defined for the packet_set_addr()
  *			function.
- * @returns		Other error codes as defined for the pq_insert_after()
+ * @return		Other error codes as defined for the pq_insert_after()
  *			function.
  */
@@ -799,18 +799,18 @@
  * @param[in] suffix	The minimum suffix size.
  * @param[in] addr_len	The minimum address length.
- * @returns		EOK on success.
- * @returns		EINVAL if the packet_get_addr() function fails.
- * @returns		EINVAL if the packet does not contain the IP header.
- * @returns		EPERM if the packet needs to be fragmented and the
+ * @return		EOK on success.
+ * @return		EINVAL if the packet_get_addr() function fails.
+ * @return		EINVAL if the packet does not contain the IP header.
+ * @return		EPERM if the packet needs to be fragmented and the
  *			fragmentation is not allowed.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		ENOMEM if there is no packet available.
- * @returns		ENOMEM if the packet is too small to contain the IP
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		ENOMEM if there is no packet available.
+ * @return		ENOMEM if the packet is too small to contain the IP
  *			header.
- * @returns		Other error codes as defined for the packet_trim()
+ * @return		Other error codes as defined for the packet_trim()
  *			function.
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the
  *			ip_create_middle_header() function.
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the
  *			ip_fragment_packet_data() function.
  */
@@ -919,6 +919,6 @@
  * @param[in] addr_len	The minimum address length.
  * @param[in] error	The error module service.
- * @returns		The packet or the packet queue of the allowed length.
- * @returns		NULL if there are no packets left.
+ * @return		The packet or the packet queue of the allowed length.
+ * @return		NULL if there are no packets left.
  */
 static packet_t
@@ -986,8 +986,8 @@
  * @param[in] dest	The destination address.
  * @param[in] error	The error module service.
- * @returns		EOK on success.
- * @returns		Other error codes as defined for the arp_translate_req()
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the arp_translate_req()
  *			function.
- * @returns		Other error codes as defined for the ip_prepare_packet()
+ * @return		Other error codes as defined for the ip_prepare_packet()
  *			function.
  */
@@ -1062,6 +1062,6 @@
  *			NULL.
  * @param[in] destination The destination address.
- * @returns		The found route.
- * @returns		NULL if no route was found.
+ * @return		The found route.
+ * @return		NULL if no route was found.
  */
 static ip_route_t *
@@ -1090,6 +1090,6 @@
  *
  * @param[in] destination The destination address.
- * @returns		The found route.
- * @returns		NULL if no route was found.
+ * @return		The found route.
+ * @return		NULL if no route was found.
  */
 static ip_route_t *ip_find_route(in_addr_t destination) {
@@ -1116,6 +1116,6 @@
  *
  * @param[in] netif	The network interface.
- * @returns		The IP address.
- * @returns		NULL if no IP address was found.
+ * @return		The IP address.
+ * @return		NULL if no IP address was found.
  */
 static in_addr_t *ip_netif_address(ip_netif_t *netif)
@@ -1136,10 +1136,10 @@
  * @param[in] phone	The transport layer module phone.
  * @param[in] received_msg The receiving function.
- * @returns		EOK on success.
- * @returns		EINVAL if the protocol parameter and/or the service
+ * @return		EOK on success.
+ * @return		EINVAL if the protocol parameter and/or the service
  *			parameter is zero.
- * @returns		EINVAL if the phone parameter is not a positive number
+ * @return		EINVAL if the phone parameter is not a positive number
  *			and the tl_receive_msg is NULL.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		ENOMEM if there is not enough memory left.
  */
 static int
@@ -1361,5 +1361,5 @@
  * @param[out] content	The maximum content size.
  * @param[out] suffix	The minimum reserved suffix size.
- * @returns		EOK on success.
+ * @return		EOK on success.
  */
 static int
@@ -1418,5 +1418,5 @@
  *
  * @param[in] header	The packet IP header to be read.
- * @returns		The packet destination address.
+ * @return		The packet destination address.
  */
 static in_addr_t ip_get_destination(ip_header_t *header)
@@ -1439,13 +1439,13 @@
  * @param[in] header	The first packet IP header. May be NULL.
  * @param[in] error	The packet error service.
- * @returns		EOK on success.
- * @returns		ENOTSUP if the packet is a fragment.
- * @returns		EAFNOSUPPORT if the address family is not supported.
- * @returns		ENOENT if the target protocol is not found.
- * @returns		Other error codes as defined for the packet_set_addr()
+ * @return		EOK on success.
+ * @return		ENOTSUP if the packet is a fragment.
+ * @return		EAFNOSUPPORT if the address family is not supported.
+ * @return		ENOENT if the target protocol is not found.
+ * @return		Other error codes as defined for the packet_set_addr()
  *			function.
- * @returns		Other error codes as defined for the packet_trim()
+ * @return		Other error codes as defined for the packet_trim()
  *			function.
- * @returns		Other error codes as defined for the protocol specific
+ * @return		Other error codes as defined for the protocol specific
  *			tl_received_msg() function.
  */
@@ -1544,10 +1544,10 @@
  * @param[in] device_id	The source device identifier.
  * @param[in] packet	The received packet to be processed.
- * @returns		EOK on success.
- * @returns		EINVAL if the TTL is less than two.
- * @returns		EINVAL if the checksum is invalid.
- * @returns		EAFNOSUPPORT if the address family is not supported.
- * @returns		ENOENT if no route was found.
- * @returns		ENOENT if the packet is for another host and the routing
+ * @return		EOK on success.
+ * @return		EINVAL if the TTL is less than two.
+ * @return		EINVAL if the checksum is invalid.
+ * @return		EAFNOSUPPORT if the address family is not supported.
+ * @return		ENOENT if no route was found.
+ * @return		ENOENT if the packet is for another host and the routing
  *			is disabled.
  */
@@ -1849,13 +1849,13 @@
  * @param[in] device_id	The source device identifier.
  * @param[in,out] packet The received packet.
- * @returns		EOK on success and the packet is no longer needed.
- * @returns		EINVAL if the packet is too small to carry the IP
+ * @return		EOK on success and the packet is no longer needed.
+ * @return		EINVAL if the packet is too small to carry the IP
  *			packet.
- * @returns		EINVAL if the received address lengths differs from the
+ * @return		EINVAL if the received address lengths differs from the
  *			registered values.
- * @returns		ENOENT if the device is not found in the cache.
- * @returns		ENOENT if the protocol for the device is not found in
+ * @return		ENOENT if the device is not found in the cache.
+ * @return		ENOENT if the protocol for the device is not found in
  *			the cache.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		ENOMEM if there is not enough memory left.
  */
 static int ip_receive_message(device_id_t device_id, packet_t packet)
@@ -1879,6 +1879,6 @@
  * @param[out] answer_count The last parameter for the actual answer in the
  *			answer parameter.
- * @returns		EOK on success.
- * @returns		ENOTSUP if the message is not known.
+ * @return		EOK on success.
+ * @return		ENOTSUP if the message is not known.
  *
  * @see ip_interface.h
@@ -2037,6 +2037,6 @@
 /** Starts the module.
  *
- * @returns EOK on success.
- * @returns Other error codes as defined for each specific module start function.
+ * @return EOK on success.
+ * @return Other error codes as defined for each specific module start function.
  */
 int main(int argc, char *argv[])
